> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Custom GPT Details

> This endpoint retrieves the details of a specified custom GPT model based on the provided GPT name. It fetches the GPT's instructions, description, and accessible APIs.



## OpenAPI

````yaml get /api/gpt/{genai_app}/get
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/gpt/{genai_app}/get:
    get:
      tags:
        - GPT
      summary: Retrieve Custom GPT Details
      description: >-
        This endpoint retrieves the details of a specified custom GPT model
        based on the provided GPT name. It fetches the GPT's instructions,
        description, and accessible APIs.
      operationId: gpt_get
      parameters:
        - name: genai_app
          in: path
          required: true
          schema:
            type: string
            title: Genai App
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GPT-Output'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    GPT-Output:
      properties:
        index_name:
          type: string
          title: Index Name
          description: The index name of the custom GPT model.
        genai_app:
          type: string
          title: Genai App
          description: The name of the custom GPT model.
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: The user who created the GPT.
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          description: Base64 string encoding of GPT icon.
        summary:
          type: string
          title: Summary
          description: A short liner about the GPT that will be present on the GPT store
        description:
          type: string
          title: Description
          description: A description of the custom GPT model.
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
          description: Instructions for ChatGPT on how to operate the custom GPT model.
        gpt_url:
          anyOf:
            - items:
                $ref: '#/components/schemas/StoreURL'
              type: array
            - type: 'null'
          title: Gpt Url
          description: GPT url on it's installed appstore platform.
        apis:
          items:
            type: string
          type: array
          title: Apis
          description: List of API names accessible to the custom GPT through GPT actions.
        appstore:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Appstore
          description: List of Gen AI appstores available to the custom GPT.
          default: []
        categories:
          anyOf:
            - items:
                $ref: '#/components/schemas/Category'
              type: array
            - type: 'null'
          title: Categories
          description: The type of GPT. private or public
          default:
            - Other
        keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Keywords
          description: Integration SEO related tags.
        partner_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Partner Url
          description: The partner's website URL
        config:
          anyOf:
            - $ref: '#/components/schemas/GPTConfig'
            - type: 'null'
          description: GPT configuration details.
      type: object
      required:
        - index_name
        - genai_app
        - summary
        - description
        - apis
      title: GPT
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StoreURL:
      properties:
        appstore:
          type: string
          title: Appstore
          description: GPT appstore name.
        url:
          type: string
          title: Url
          description: GPT url on appstore platform.
      type: object
      required:
        - appstore
        - url
      title: StoreURL
    Category:
      type: string
      enum:
        - Sales
        - Marketing
        - Product & R&D
        - HR
        - Operation
        - Finance
        - Support
        - Other
      title: Category
    GPTConfig:
      properties:
        gpt_type:
          $ref: '#/components/schemas/GPTType'
          description: >-
            Flag indicating whether the gpt belong to the tenant or it is a
            global one.
          default: private
        gpt_url:
          anyOf:
            - items:
                $ref: '#/components/schemas/StoreURL'
              type: array
            - type: 'null'
          title: Gpt Url
          description: GPT url on it's installed appstore platform.
        is_installed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Installed
          description: Flag indicating whether the gpt is installed or not.
          default: false
      type: object
      title: GPTConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GPTType:
      type: string
      enum:
        - private
        - public
      title: GPTType
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````